=== debian/changelog ===
ros-galactic-rclcpp-lifecycle (9.2.2-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 06 Dec 2022 08:00:00 -0000

ros-galactic-rclcpp-lifecycle (9.2.1-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 28 Apr 2022 07:00:00 -0000

ros-galactic-rclcpp-lifecycle (9.2.0-1focal) focal; urgency=high

  * Added thread safe for_each_callback_group method (#1741 <https://github.com/ros2/rclcpp/issues/1741>)
  * Contributors: Aditya Pande

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 17 Sep 2021 07:00:00 -0000

ros-galactic-rclcpp-lifecycle (9.1.0-1focal) focal; urgency=high

  * Fix destruction order in lifecycle benchmark (#1676 <https://github.com/ros2/rclcpp/issues/1676>)
  * Contributors: Scott K Logan

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 20 May 2021 07:00:00 -0000

ros-galactic-rclcpp-lifecycle (9.0.3-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 10 May 2021 07:00:00 -0000

ros-galactic-rclcpp-lifecycle (9.0.2-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 14 Apr 2021 07:00:00 -0000

ros-galactic-rclcpp-lifecycle (9.0.1-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 12 Apr 2021 07:00:00 -0000

ros-galactic-rclcpp-lifecycle (9.0.0-1focal) focal; urgency=high

  * Add generic publisher and generic subscription for serialized messages (#1452 <https://github.com/ros2/rclcpp/issues/1452>)
  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#1615 <https://github.com/ros2/rclcpp/issues/1615>)
  * Contributors: Nikolai Morin, shonigmann

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 06 Apr 2021 07:00:00 -0000

ros-galactic-rclcpp-lifecycle (8.2.0-1focal) focal; urgency=high

  * Fix flaky lifecycle node tests (#1606 <https://github.com/ros2/rclcpp/issues/1606>)
  * Clock subscription callback group spins in its own thread (#1556 <https://github.com/ros2/rclcpp/issues/1556>)
  * Delete debug messages (#1602 <https://github.com/ros2/rclcpp/issues/1602>)
  * add automatically_add_executor_with_node option (#1594 <https://github.com/ros2/rclcpp/issues/1594>)
  * Contributors: BriceRenaudeau, Ivan Santiago Paunovic, Jacob Perron, anaelle-sw

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 31 Mar 2021 07:00:00 -0000

ros-galactic-rclcpp-lifecycle (8.1.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 25 Mar 2021 07:00:00 -0000

ros-galactic-rclcpp-lifecycle (8.0.0-1focal) focal; urgency=high

  * make rcl_lifecyle_com_interface optional in lifecycle nodes (#1507 <https://github.com/ros2/rclcpp/issues/1507>)
  * Contributors: Karsten Knese

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 23 Mar 2021 07:00:00 -0000

ros-galactic-rclcpp-lifecycle (7.0.1-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 22 Mar 2021 07:00:00 -0000

ros-galactic-rclcpp-lifecycle (7.0.0-1focal) focal; urgency=high

  * Add support for rmw_connextdds (#1574 <https://github.com/ros2/rclcpp/issues/1574>)
  * Fix SEGV caused by order of destruction of Node sub-interfaces (#1469 <https://github.com/ros2/rclcpp/issues/1469>)
  * Enforce static parameter types (#1522 <https://github.com/ros2/rclcpp/issues/1522>)
  * Contributors: Andrea Sorbini, Colin MacKenzie, Ivan Santiago Paunovic

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 18 Mar 2021 07:00:00 -0000

ros-galactic-rclcpp-lifecycle (6.3.1-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 08 Feb 2021 08:00:00 -0000

ros-galactic-rclcpp-lifecycle (6.3.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 25 Jan 2021 08:00:00 -0000

ros-galactic-rclcpp-lifecycle (6.2.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 08 Jan 2021 08:00:00 -0000

ros-galactic-rclcpp-lifecycle (6.1.0-1focal) focal; urgency=high

  * add LifecycleNode::get_transition_graph to match services. (#1472 <https://github.com/ros2/rclcpp/issues/1472>)
  * Update QDs to QL 1 (#1477 <https://github.com/ros2/rclcpp/issues/1477>)
  * Benchmark lifecycle features (#1462 <https://github.com/ros2/rclcpp/issues/1462>)
  * Contributors: Stephen Brawner, brawner, tomoya

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 10 Dec 2020 08:00:00 -0000

ros-galactic-rclcpp-lifecycle (6.0.0-1focal) focal; urgency=high

  * Reserve vector capacities and use emplace_back for constructing vectors (#1464 <https://github.com/ros2/rclcpp/issues/1464>)
  * [rclcpp_lifecycle] Change uint8_t iterator variables to size_t (#1461 <https://github.com/ros2/rclcpp/issues/1461>)
  * Bump rclcpp packages to Quality Level 2 (#1445 <https://github.com/ros2/rclcpp/issues/1445>)
  * Contributors: Louise Poubel, brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 18 Nov 2020 08:00:00 -0000

ros-galactic-rclcpp-lifecycle (5.1.0-1focal) focal; urgency=high

  * Increase test timeouts of slow running tests with rmw_connext_cpp (#1400 <https://github.com/ros2/rclcpp/issues/1400>)
  * Update maintainers (#1384 <https://github.com/ros2/rclcpp/issues/1384>)
  * Add clock qos to node options (#1375 <https://github.com/ros2/rclcpp/issues/1375>)
  * Contributors: Ivan Santiago Paunovic, brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 02 Nov 2020 08:00:00 -0000

ros-galactic-rclcpp-lifecycle (5.0.0-1focal) focal; urgency=high

  * Increase test coverage of rclcpp_lifecycle to 96% (#1298 <https://github.com/ros2/rclcpp/issues/1298>)
  * Log error instead of throwing exception in Transition and State reset(), mark no except (#1297 <https://github.com/ros2/rclcpp/issues/1297>)
  * Remove unused private function (rclcpp::Node and rclcpp_lifecycle::Node) (#1294 <https://github.com/ros2/rclcpp/issues/1294>)
  * Remove rmw-dependent unit-test checks (#1293 <https://github.com/ros2/rclcpp/issues/1293>)

