=== debian/control ===
Source: ros-galactic-rclcpp-lifecycle
Section: misc
Priority: optional
Maintainer: Ivan Paunovic <ivanpauno@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake-gtest <!nocheck>, ros-galactic-ament-cmake-ros, ros-galactic-ament-lint-auto <!nocheck>, ros-galactic-ament-lint-common <!nocheck>, ros-galactic-lifecycle-msgs, ros-galactic-mimick-vendor <!nocheck>, ros-galactic-performance-test-fixture <!nocheck>, ros-galactic-rcl-lifecycle, ros-galactic-rclcpp, ros-galactic-rcutils <!nocheck>, ros-galactic-rmw, ros-galactic-rosidl-typesupport-cpp, ros-galactic-test-msgs <!nocheck>, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-rclcpp-lifecycle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-lifecycle-msgs, ros-galactic-rcl-lifecycle, ros-galactic-rclcpp, ros-galactic-rmw, ros-galactic-rosidl-typesupport-cpp, ros-galactic-ros-workspace
Description: Package containing a prototype for lifecycle implementation
